$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER I
      INTEGER FREQ
      INTEGER SOUND_ARRAY(83)
      INTEGER FG_PLAYING

      I = 1

      DO 10 FREQ = 100,500,10
         SOUND_ARRAY(I) = FREQ
         I = I + 1
         SOUND_ARRAY(I) = 8
         I = I + 1
10    CONTINUE
      SOUND_ARRAY(I) = 0

      CALL FG_INITPM
      CALL FG_SOUNDS(SOUND_ARRAY,1)

20    IF (FG_PLAYING() .EQ. 1) THEN
         WRITE(6,*) 'Still playing...'
         GO TO 20
      END IF

      STOP ' '
      END
